package com.huigou.topsun.technology.application.impl;

import com.huigou.data.query.model.QueryDescriptor;
import com.huigou.topsun.technology.application.TechnologyProcessApplication;
import com.huigou.topsun.technology.domain.query.TechnologyProcessQueryRequest;
import com.huigou.uasp.bmp.common.application.BaseApplication;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
* @author 16508
* @description 针对表【technology_process(工艺工序关系表)】的数据库操作Service实现
* @createDate 2023-11-22 11:04:03
*/
@Service
public class TechnologyProcessApplicationImpl extends BaseApplication implements TechnologyProcessApplication {

    @Override
    public Map<String, Object> slicedTechnologyProcessList(TechnologyProcessQueryRequest queryRequest) {
        QueryDescriptor queryDescriptor = this.sqlExecutorDao.getQuery(QUERY_XML_FILE_PATH, "slicedTechnologyProcessList");
        return this.sqlExecutorDao.executeSlicedQuery(queryDescriptor,queryRequest);
    }
}




